Subject: Re: [PATCH v11 0/8] powerpc: Implement kexec_file_load()

From: Thiago Jung Bauermann <[email-masked]>
Date: Tue, 29 Nov 2016 20:17:48 -0200

Hello Andrew,

Am Dienstag, 29. November 2016, 13:45:18 BRST schrieb Andrew Morton:
> On Tue, 29 Nov 2016 23:45:46 +1100 Michael Ellerman <[email-masked]> 
wrote:
> > This is v11 of the kexec_file_load() for powerpc series.
> > 
> > I've stripped this down to the minimum we need, so we can get this in for
> > 4.10. Any additions can come later incrementally.
> 
> This made a bit of a mess of Mimi's series "ima: carry the
> measurement list across kexec v10".
> 
> powerpc-ima-get-the-kexec-buffer-passed-by-the-previous-kernel.patch
> ima-on-soft-reboot-restore-the-measurement-list.patch
> ima-permit-duplicate-measurement-list-entries.patch
> ima-maintain-memory-size-needed-for-serializing-the-measurement-list.patch
> powerpc-ima-send-the-kexec-buffer-to-the-next-kernel.patch
> ima-on-soft-reboot-save-the-measurement-list.patch
> ima-store-the-builtin-custom-template-definitions-in-a-list.patch
> ima-support-restoring-multiple-template-formats.patch
> ima-define-a-canonical-binary_runtime_measurements-list-format.patch
> ima-platform-independent-hash-value.patch
> 
> I made the syntactic fixes but I won't be testing it.

Sorry about that. We are preparing an updated version rebased on Michael's 
patches to address that.

Just to explain where v11 is coming from:

kexec_file_load v11 uses a minimal purgatory taken from kexec-lite, resulting 
in a purgatory object without relocations. This avoids the problem of having 
to have a lot of code to process purgatory relocations, which is the problem I 
was trying to address in the past couple versions of this patch series.

The new purgatory also doesn't need the kernel to set global variables to tell 
it where the stack, TOC and OPAL entrypoint are, so that code was dropped from 
setup_purgatory.

The other change was to move the code in elf_util.[ch] into kexec_elf_64.c, 
with no actual code change.

> > If no one objects I'll merge this via the powerpc tree. The three kexec
> > patches have been acked by Dave Young (since forever), and have been in
> > linux-next (via akpm's tree) also for a long time.
> 
> OK, I'll wait for these to appear in -next and I will await advice on

Mimi and I would like to thank you for your support and help with these 
patches, Andrew.

-- 
Thiago Jung Bauermann
IBM Linux Technology Center